### Enumeration

# Qmi LocIntermediateReportState

since: 1.20

#### Declaration

    enum Qmi.LocIntermediateReportState

#### Description [src]

Whether to enable or disable intermediate state reporting.

Available since: 1.20

#### Members

`QMI_LOC_INTERMEDIATE_REPORT_STATE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.20
`QMI_LOC_INTERMEDIATE_REPORT_STATE_ENABLE`

  Enable intermediate state reporting.

  - Value: `1`
  - Available since: 1.20
`QMI_LOC_INTERMEDIATE_REPORT_STATE_DISABLE`

  Disable intermediate state reporting.

  - Value: `2`
  - Available since: 1.20

#### Type functions

###### qmi_loc_intermediate_report_state_get_string

Gets the nickname string for the `QmiLocIntermediateReportState` specified at `val`.

since: 1.20